For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet files
      • POSTUpload a file
      • GETGet a file by ID
      • DELDelete a file
LogoLogo
API StatusPartner Portal
UtilitiesFiles

Get files

GET
/files
GET
/v1/files
$curl https://api.sandbox.monite.com/v1/files \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "file_type": "file_type",
8 "md5": "md5",
9 "mimetype": "mimetype",
10 "name": "name",
11 "region": "region",
12 "s3_bucket": "s3_bucket",
13 "s3_file_path": "s3_file_path",
14 "size": 1,
15 "url": "url"
16 }
17 ]
18}
Was this page helpful?
Previous

Upload a file

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Query parameters

id__instringOptionalformat: "uuid"
file_typeenumOptional

Response

Successful Response
datalist of objects

Errors

422
Get Files Request Unprocessable Entity Error
500
Get Files Request Internal Server Error